"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClusterBootstrap = exports.ClusterBootstrapStarter = void 0;
const bootstrap_1 = require("./bootstrap");
const cp_1 = require("../fork/cp");
const path_1 = require("path");
class ClusterBootstrapStarter extends bootstrap_1.BootstrapStarter {
    constructor() {
        super(...arguments);
        this.globalOptions = {};
    }
    async init() {
        return null;
    }
    async run() {
        this.clusterManager = new cp_1.ClusterManager({
            exec: (0, path_1.join)(__dirname, 'bootstrap'),
            ...this.globalOptions,
        });
        await this.clusterManager.start();
    }
    async stop() {
        await this.clusterManager.close();
    }
}
exports.ClusterBootstrapStarter = ClusterBootstrapStarter;
class ClusterBootstrap extends bootstrap_1.Bootstrap {
    /**
     * set global configuration for midway
     * @param configuration
     */
    static configure(configuration = {}) {
        return super.configure(configuration);
    }
    static getStarter() {
        if (!this.starter) {
            this.starter = new ClusterBootstrapStarter();
        }
        return this.starter;
    }
}
exports.ClusterBootstrap = ClusterBootstrap;
//# sourceMappingURL=cluster.js.map