/// <reference types="node" />
import { ThreadOptions } from '../interface';
import { AbstractForkManager } from './base';
import type { Worker as ThreadWorker } from 'worker_threads';
export declare class ThreadManager extends AbstractForkManager<ThreadWorker, ThreadOptions> {
    readonly options: ThreadOptions;
    private exitListener;
    constructor(options?: ThreadOptions);
    createWorker(): ThreadWorker;
    bindWorkerDisconnect(listener: (worker: ThreadWorker) => void): void;
    bindWorkerExit(listener: (worker: ThreadWorker, code: any, signal: any) => void): void;
    getWorkerId(worker: ThreadWorker): any;
    isWorkerDead(worker: ThreadWorker): boolean;
    closeWorker(worker: ThreadWorker): Promise<void>;
    createEventBus(): any;
}
//# sourceMappingURL=thread.d.ts.map