/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
import type { IMidwayBootstrapOptions } from '@midwayjs/core';
import type { IMidwayLogger } from '@midwayjs/logger';
import { ClusterSettings } from 'cluster';
import { WorkerOptions } from 'worker_threads';
export interface ForkOptions {
    exec?: string;
    /**
     * worker num, default is `os.cpus().length`
     */
    count?: number;
    /**
     * refork when disconect and unexpected exit, default is `true`
     */
    refork?: boolean;
    /**
     * restart limit, default is `60`
     */
    limit?: number;
    duration?: number;
    logger?: IMidwayLogger | Console;
}
export declare type ClusterOptions = ForkOptions & ClusterSettings;
export declare type ThreadOptions = ForkOptions & WorkerOptions;
export declare type ClusterBootstrapOptions = IMidwayBootstrapOptions & ClusterOptions;
//# sourceMappingURL=interface.d.ts.map